﻿using System;
using FleetAGC.Activities.Util;
using Microsoft.Azure.Cis.Activities.Contracts;

namespace ConsoleApp1
{
    class Program
    {
        /// <summary>
        /// try to get value from CIS context, get global setting fristly, then input setting
        /// </summary>
        /// <param name="context">CIS context </param>
        /// <param name="settingName">setting name</param>
        /// <param name="settingValue">setting value</param>
        /// <returns></returns>
        public static bool TryGetSetting(IActivityContext context, string settingName, out string settingValue)
        {
            return context.GlobalSettings.TryGetValue(settingName, out settingValue)
                   || context.InputSettings.TryGetValue(settingName, out settingValue);
        }

        static void Main(string[] args)
        {
            var ctx = new MyPlanCtx();
            ctx.GlobalSettings = new __dict_isettings();
            ctx.SystemSettings = new __dict_isettings();
            ctx.Tenant = "Tenant";
            ctx.GlobalSettings.Add("k", "v");
            
            Console.WriteLine("Hello World!");
            var ctx2 = ContextConversion.plan2activity(ctx);
            TryGetSetting(ctx2, "k", out string v);
            Console.WriteLine("RES::" + v);


        }
    }
}